Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32702/?format=api
{ "ob_id": 32702, "uuid": "12eae5e708e541f390898af4187a1c20", "title": "Global Ocean Lagrangian Trajectories based on AVISO velocities, v2.1", "abstract": "The National Centre for Earth Observation (NCEO) Long Term Science Single Centre (LTSS) Global Ocean Lagrangian Trajectories (OLTraj) provides 30-day forward and backward Lagrangian trajectories based on AVISO (Satellite Altimetry Data project) surface velocities. Each trajectory represents the path that a water mass would move along starting at a given pixel and a given day. OLTraj can be thus used to implement analyses of oceanic data in a Lagrangian framework. The purpose of OLTraj is to allow non-specialists to conduct Lagrangian analyses of surface ocean data.\r\n\r\nThe dataset has global coverage and spans the year 2018 with a daily temporal resolution. The trajectories were generated starting from zonal and meridional model velocity fields that were integrated using the LAMTA (6-hour time step - part of ) as described in Nencioli et al., 2018 and SPASSO (Software package for and adaptive satellite-based sampling for ocean graphic cruises containing LAMTA) software user guide. Please see the documentation section below for further information.\r\n\r\nVersion 2.1 has the same resolution as version V2.0 but has double value for time variables to permit access via THREDDS", "keywords": "AVISO, Global, Ocean Lagrangian Trajectories, LAMTA, zonal, meridional model, OLTraj_SEALEVEL_GLO_PHY_L4_REP_OBSERVATIONS_008_047", "publicationState": "published", "dataPublishedTime": "2021-08-19T14:44:17", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32703/?format=api", "dataPath": "/neodc/oltraj/data/v2.1/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6497487670, "numberOfFiles": 31, "fileFormat": "NetCDF file \r\nA reformatted version of the v2.0 dataset. In this version V2.1 the int64 time value was changed to double to allow Jupyter Notebook access via THREDDS/OpenDAP." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8981/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2687/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/4385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18405/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18408/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/30130/?format=api" ], "dataLineage": "Data were produced by the NCEO Plymouth Marine Laboratory project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5002/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145787/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145788/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145789/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145790/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145791/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145792/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145793/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145794/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145795/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/33040/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }